use std::{fs::File, io::Read};

use logos::Logos;

mod token;

fn main() -> std::io::Result<()> {
    let mut input_file = File::open("sample.amo")?;
	let mut input = String::with_capacity(4096);
	input_file.read_to_string(&mut input)?;

	for tok in token::Token::lexer(&input) {
		println!("{tok:?}");
	}

	Ok(())
}
